/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables;


import com.tabajara.base.Indexes;
import com.tabajara.base.Keys;
import com.tabajara.base.Public;
import com.tabajara.base.tables.records.TipoatuadorRecord;

import java.util.Arrays;
import java.util.List;

import javax.annotation.Generated;

import org.jooq.Field;
import org.jooq.Identity;
import org.jooq.Index;
import org.jooq.Name;
import org.jooq.Schema;
import org.jooq.Table;
import org.jooq.TableField;
import org.jooq.UniqueKey;
import org.jooq.impl.DSL;
import org.jooq.impl.TableImpl;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Tipoatuador extends TableImpl<TipoatuadorRecord> {

    private static final long serialVersionUID = 658697056;

    /**
     * The reference instance of <code>public.tipoatuador</code>
     */
    public static final Tipoatuador TIPOATUADOR = new Tipoatuador();

    /**
     * The class holding records for this type
     */
    @Override
    public Class<TipoatuadorRecord> getRecordType() {
        return TipoatuadorRecord.class;
    }

    /**
     * The column <code>public.tipoatuador.tipatuid</code>.
     */
    public final TableField<TipoatuadorRecord, Integer> TIPATUID = createField("tipatuid", org.jooq.impl.SQLDataType.INTEGER.nullable(false).defaultValue(org.jooq.impl.DSL.field("nextval('tipoatuador_tipatuid_seq'::regclass)", org.jooq.impl.SQLDataType.INTEGER)), this, "");

    /**
     * The column <code>public.tipoatuador.tipatunome</code>.
     */
    public final TableField<TipoatuadorRecord, String> TIPATUNOME = createField("tipatunome", org.jooq.impl.SQLDataType.VARCHAR(50), this, "");

    /**
     * The column <code>public.tipoatuador.tipatudescricao</code>.
     */
    public final TableField<TipoatuadorRecord, String> TIPATUDESCRICAO = createField("tipatudescricao", org.jooq.impl.SQLDataType.VARCHAR(50), this, "");

    /**
     * Create a <code>public.tipoatuador</code> table reference
     */
    public Tipoatuador() {
        this(DSL.name("tipoatuador"), null);
    }

    /**
     * Create an aliased <code>public.tipoatuador</code> table reference
     */
    public Tipoatuador(String alias) {
        this(DSL.name(alias), TIPOATUADOR);
    }

    /**
     * Create an aliased <code>public.tipoatuador</code> table reference
     */
    public Tipoatuador(Name alias) {
        this(alias, TIPOATUADOR);
    }

    private Tipoatuador(Name alias, Table<TipoatuadorRecord> aliased) {
        this(alias, aliased, null);
    }

    private Tipoatuador(Name alias, Table<TipoatuadorRecord> aliased, Field<?>[] parameters) {
        super(alias, null, aliased, parameters, "");
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Schema getSchema() {
        return Public.PUBLIC;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public List<Index> getIndexes() {
        return Arrays.<Index>asList(Indexes.TIPOATUADOR_PKEY);
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Identity<TipoatuadorRecord, Integer> getIdentity() {
        return Keys.IDENTITY_TIPOATUADOR;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public UniqueKey<TipoatuadorRecord> getPrimaryKey() {
        return Keys.TIPOATUADOR_PKEY;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public List<UniqueKey<TipoatuadorRecord>> getKeys() {
        return Arrays.<UniqueKey<TipoatuadorRecord>>asList(Keys.TIPOATUADOR_PKEY);
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Tipoatuador as(String alias) {
        return new Tipoatuador(DSL.name(alias), this);
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Tipoatuador as(Name alias) {
        return new Tipoatuador(alias, this);
    }

    /**
     * Rename this table
     */
    @Override
    public Tipoatuador rename(String name) {
        return new Tipoatuador(DSL.name(name), null);
    }

    /**
     * Rename this table
     */
    @Override
    public Tipoatuador rename(Name name) {
        return new Tipoatuador(name, null);
    }
}
